org.gitana.platform.services.api

## Class GrantTypes

- java.lang.Object
- - org.gitana.platform.services.api.GrantTypes

    public class GrantTypes
    extends Object

Author:
  uzi

### Field Summary

Fields
`static String` `AUTHORIZATION_CODE`
`static String` `CLIENT_CREDENTIALS`
`static String` `IMPLICIT`
`static String` `PASSWORD`
`static String` `REFRESH_TOKEN`

### Constructor Summary

Constructors
Constructor and Description
`GrantTypes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AUTHORIZATION_CODE

    public static final String AUTHORIZATION_CODE

See Also:
  Constant Field Values

#### PASSWORD

    public static final String PASSWORD

See Also:
  Constant Field Values

#### IMPLICIT

    public static final String IMPLICIT

See Also:
  Constant Field Values

#### CLIENT_CREDENTIALS

    public static final String CLIENT_CREDENTIALS

See Also:
  Constant Field Values

#### REFRESH_TOKEN

    public static final String REFRESH_TOKEN

See Also:
  Constant Field Values

### Constructor Detail

#### GrantTypes

    public GrantTypes()